::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}

::-webkit-scrollbar-thumb {
    border: 3px solid rgba(0, 0, 0, 0);
    background-clip: padding-box;
    -webkit-border-radius: 7px;
    -webkit-box-shadow: inset 0px 0px 0px 1px var(--scrollbarColor);
    -moz-box-shadow: inset 0px 0px 0px 1px var(--scrollbarColor);
    box-shadow: inset 0px 0px 0px 1px var(--scrollbarColor);
    background-color: var(--scrollbarBackColor);
}

b, strong{
    font-weight: 600!important;
}

.width100{
    width: 100%;
}

.height100{
    height: 100%;
}

hr{
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

.wrapper:before {
    height: 200px;
}

.nav-link-span{
    display: block;
    width: 160px;
}

.content{
    margin-top: 0;
}

.content .card{
    margin-bottom: 0;
}

.login-logo-container img{
    max-width: 70%;
}

[data-notify="dismiss"] {
    right: 0!important;
    top: 0!important;
}

[data-notify="dismiss"]:focus{
    outline: none!important;
}

.alert-message-content{
    margin: 0;
    padding: 0;
}

.loader_img_container {
    z-index: 99999999999;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.2);
}

.header {
    margin-bottom: 1rem;
}

.navbar-theme .navbar-nav .nav-link {
    margin-top: 2px;
    font-size: 18px;
}

.navbar .nav-item a img{
    width: 250px;
}

.table-striped tbody tr:nth-of-type(odd) {
    background-color: unset;
}

.table-striped tbody tr.highlighted-row {
    background-color: var(--white-light);
}

.user-table-main .sorting:before,
.user-table-main .sorting:after,
.user-table-main .sorting_asc:before,
.user-table-main .sorting_asc:after,
.user-table-main .sorting_desc:before,
.user-table-main .sorting_desc:after{
    top: 0;
}

.table.dataTable tr th:focus{
    outline: none;
}

.invisible-content{
    display: none;
    border: 1px solid var(--gray-light)
}

.tab .nav-tabs {
    border: 0;
    flex-wrap: nowrap;
    max-width: 100%;
    width: 100%;
}

.tab .nav-tabs .nav-item{
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 150px;
    display: flex;
    align-items: baseline;
    justify-content: space-between;
}

.tab .nav-tabs .nav-item .nav-link.active{
    background: var(--white);
    color: var(--gray-dark);
    border: 1px solid var(--gray-light);
    border-bottom: none;
    border-top-left-radius: 0.2rem;
    border-top-right-radius: 0.2rem;
    padding: 12px 10px;
}

.tab .nav-tabs .nav-item .nav-link{
    padding: 12px 10px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 100%;
    text-align: center;
    display: block;
}

.tab .tab-content {
    border: 1px solid var(--gray-light);
}

.tab .nav-tabs .nav-item.nav-invalid .nav-link{
    color: var(--danger);
    text-decoration: var(--danger) underline;
}

.avatar-container{
    position: relative;
    cursor: pointer;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.avatar-container:hover .delete-avatar{
    display: block;
    transition: all 10s ease-in;
}

.delete-avatar{
    display:none;
    transition: all 10s ease-in;
}

.delete-avatar:after{
    content: "\f00d";
    font-family: Font Awesome\ 5 Free;
    font-weight: 900;
    font-size: 20px;
    color: var(--gray-dark);
    position: absolute;
    right:0;
}

.form-group {
    margin-bottom: 0.5rem;
}

.form-group label{
    margin: 0;
}

.field-required:after{
    content: " *";
    color: var(--red);
    font-weight: bold;
    text-decoration: none;
    font-style: normal;
    background: inherit;
}

.n-error-container .form-control{
    border-color: var(--red);
}

.n-error-container .form-control:focus{
    border-color: var(--red);
    box-shadow: 0 0 0 0.2rem var(--red-opacity);
}

.n-error-container .n-error-message{
    color: var(--red);
    font-size: 13px;
    display: none;
}


.action-dropdown-toggle:after{
    content: "";
    display: none!important;
}

.action-container .dropdown {
    width: fit-content;
}

.n-actions {
    height: 25px;
    display: flex;
    align-items: center;
}

.n-icon {
    color: var(--gray-dark);
    font-size: 20px;
    cursor: pointer;
}

.n-ex-mark {
    font-size: 55px;
    color: var(--blue-dark);
}

.header-row {
    font-weight: 900;
}

.data-table-main .sorting:before,
.data-table-main .sorting:after,
.data-table-main .sorting_asc:before,
.data-table-main .sorting_asc:after,
.data-table-main .sorting_desc:before,
.data-table-main .sorting_desc:after {
    top: 0;
}

.content .dropdown-item {
    position: relative;
}

.content .dropdown-item span {
    margin-left: 15px;
}

.content .dropdown-item i.n-icon {
    position: absolute;
    margin-right: 0!important;
    left: 8px;
    font-size: 16px;
    top: 8px;
}

.rotate000 {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
}
.rotate090 {
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
}
.rotate180 {
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
}
.rotate270 {
    -webkit-transform: rotate(270deg);
    -moz-transform: rotate(270deg);
    -o-transform: rotate(270deg);
    -ms-transform: rotate(270deg);
    transform: rotate(270deg);
}

.roles-table{
    background-color: #fff !important;
}

.roles-table tr {
    cursor: pointer;
}

.main-header{
    background-color: var(--dark);
    cursor: default;
    font-weight: bold;
    color: var(--white);
}

@media (min-width: 1440px){
    .container-fluid, .container-lg, .container-md, .container-sm, .container-xl {
        width: 100%;
    }
}

.container-fluid {
    margin: 0!important;
}

.vertical-height{
    height: 600px;
    overflow: hidden;
    overflow-y: scroll;
}

.heading_row{
    background: var(--white-light)!important;
}

.heading_row td.clickable_cell{
    cursor: pointer;
    position:relative;
    padding-left: 30px;
}

.heading_row td.clickable_cell:before{
    content: " ";
    border: solid;
    border-width: 0 0.15rem 0.15rem 0;
    display: inline-block;
    padding: 2.5px;
    transform: rotate(45deg);
    position: absolute;
    top: 18px;
    left: 10px;
    transition: all 0.2s ease-out;
}

.heading_row td.clickable_cell.open:before{
    transform: rotate(225deg);
}

.data_row{
    display: none;
}

.edit-role-btn{
    cursor: pointer;
}

.disabled-checkbox {
    pointer-events: none;
    opacity: .5;
}

.administration-content-height {
    max-height: 750px;
    height: 750px;
}

.role-content-height {
    height: 505px;
    max-height: 505px;
    overflow: hidden;
    overflow-y: overlay;
}

.role-container-border {
    max-height: 250px;
    overflow-y: scroll;

}

.accordion {
    background-color: #eee;
    color: #444;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    text-align: left;
    border: none;
    outline: none;
    transition: 0.4s;
}



/* Style the accordion panel. Note: hidden by default */
.accordion-panel {
    padding: 0 18px;
    background-color: white;
    display: none;
    overflow: hidden;
}
a[href$="RolesCollapse"]{
    text-decoration: none;
}
a[href$="RolesCollapse"][aria-expanded="true"]:after {
    margin-top: -1.2em;
    margin-right: 10em;
    content: " ";
    border: solid;
    color: black;
    border-width: 0 0.2rem 0.2rem 0;
    display: inline-block;
    padding: 2.5px;
    transform: rotate(
            225deg
    );
    position: absolute;
    top: 1.5rem;
    right: 1.25rem;
    transition: 0.4s;}

a[href$="RolesCollapse"][aria-expanded="false"]:after{
    margin-top: -1.35em;
    margin-left: 3em;
    content: " ";
    border: solid;
    color: black;
    border-width: 0 0.2rem 0.2rem 0;
    display: inline-block;
    padding: 2.5px;
    transform: rotate(
            45deg
    );
    position: absolute;
    top: 1.5rem;
    transition: 0.4s;}

.page-item-disabled {
    pointer-events: none;
    cursor: auto;
    opacity: 70%;
}